diff --git a/src/timezone/zic.c b/src/timezone/zic.c
new file mode 100644
index 8d4347a..ce30740
*** a/src/timezone/zic.c
--- b/src/timezone/zic.c
*************** int
*** 3485,3491 ****
--- 3485,3496 ----
  link(const char *oldpath, const char *newpath)
  {
  	if (!CopyFile(oldpath, newpath, false))
+ 	{
+ 		DWORD err = GetLastError();
+ 		if (err == ERROR_PATH_NOT_FOUND || err == ERROR_FILE_NOT_FOUND)
+ 			errno = ENOENT;
  		return -1;
+ 	}
  	return 0;
  }
  #endif
